| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::not_mask Class Reference
API

negation of another mask More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions
| not_mask (const mask &m)
| the constructor to be used by libdar external programs More...
| not_mask (const not_mask &m)
| copy constructor
const not_mask & | operator= (const not_mask &m)
| assignment operator
| ~not_mask ()
| destructor
bool | is_covered (const std::string &expression) const
| inherited from the mask class
bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask More...
mask * | clone () const
| inherited from the mask class
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

negation of another mask

this is the first mask built over masks it realizes the negation of the given mask

Definition at line 182 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::not_mask::not_mask | ( | const mask & | m | ) |
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | m | is the mask to negate

Note
  the mask used as argument need not to survive the just created not_mask object as an internal copy of the mask given in argument has been done.

Definition at line 190 of file mask.hpp.

Referenced by clone().

## Member Function Documentation

bool libdar::not_mask::is_covered | ( | const path & | chemin | ) | const
| inline virtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::mask.

Definition at line 200 of file mask.hpp.

References libdar::mask::is_covered().

The documentation for this class was generated from the following file:

- mask.hpp